### Function

# Ggit TransferProgressCallback

#### Declaration

    gint
    (* GgitTransferProgressCallback) (
      GgitTransferProgress* stats,
      gpointer user_data
    )

#### Description [src]

Progress callbacks during indexing.

#### Parameters

`stats`

  Type: `GgitTransferProgress`

  A `GgitTransferProgress`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

A value less than zero to cancel the transfer.